=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 
 add_definitions(-DTRANSLATION_DOMAIN=\"libgravatar\")
+add_library(KF5Gravatar)
+add_library(KF5::Gravatar ALIAS KF5Gravatar)
 
-
-set(gravatarlib_SRCS
+target_sources(KF5Gravatar PRIVATE
     misc/gravatarcache.cpp
     misc/hash.cpp
     widgets/gravatardownloadpixmapwidget.cpp
@@ -11,19 +12,31 @@
     widgets/gravatarconfiguresettingswidget.cpp
     widgets/gravatarconfiguresettingsdialog.cpp
     job/gravatarresolvurljob.cpp
+    job/gravatarresolvurljob.h
+    misc/hash.h
+    misc/gravatarcache.h
+    gravatar_private_export.h
+    widgets/gravatarconfiguresettingswidget.h
+    widgets/gravatarconfigwidget.h
+    widgets/gravatardownloadpixmapdialog.h
+    widgets/gravatardownloadpixmapwidget.h
+    widgets/gravatarconfiguresettingsdialog.h
+
 )
 
-ecm_qt_declare_logging_category(gravatarlib_SRCS HEADER gravatar_debug.h IDENTIFIER GRAVATAR_LOG CATEGORY_NAME org.kde.pim.gravatar
+ecm_qt_declare_logging_category(KF5Gravatar HEADER gravatar_debug.h IDENTIFIER GRAVATAR_LOG CATEGORY_NAME org.kde.pim.gravatar
         OLD_CATEGORY_NAMES log_gravatar
         DESCRIPTION "libgravatar (libgravatar)" EXPORT GRAVATAR)
 
-kconfig_add_kcfg_files(gravatarlib_SRCS
+kconfig_add_kcfg_files(KF5Gravatar
     settings/gravatarsettings.kcfgc
 )
 
-add_library( KF5Gravatar ${gravatarlib_SRCS} )
+if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
+    set_target_properties(KF5Gravatar PROPERTIES UNITY_BUILD ON)
+endif()
 generate_export_header(KF5Gravatar BASE_NAME gravatar)
-add_library(KF5::Gravatar ALIAS KF5Gravatar)
+
 target_link_libraries(KF5Gravatar
   PRIVATE
     KF5::ConfigCore
@@ -39,14 +52,14 @@
 
 
 set_target_properties(KF5Gravatar PROPERTIES
-    VERSION ${GRAVATAR_VERSION_STRING}
+    VERSION ${GRAVATAR_VERSION}
     SOVERSION ${GRAVATAR_SOVERSION}
     EXPORT_NAME Gravatar
 )
 
 install(TARGETS
     KF5Gravatar
-    EXPORT KF5GravatarTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
+    EXPORT KF5GravatarTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
 )
 
 ecm_generate_headers(Gravatar_Camelcase_job_HEADERS
@@ -104,3 +117,32 @@
     DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
 
 ecm_qt_install_logging_categories(EXPORT GRAVATAR FILE libgravatar.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+
+
+if (BUILD_QCH)
+    ecm_add_qch(
+        KF5Gravatar_QCH
+        NAME KF5Gravatar
+        BASE_NAME KF5Gravatar
+        VERSION ${PIM_VERSION}
+        ORG_DOMAIN org.kde
+        SOURCES # using only public headers, to cover only public API
+            ${Gravatar_Camelcase_widgets_HEADERS}
+            ${Gravatar_Camelcase_job_HEADERS}
+            ${Gravatar_Camelcase_misc_HEADERS}
+        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
+        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
+        LINK_QCHS
+            Qt5Core_QCH
+            Qt5Gui_QCH
+            Qt5Widgets_QCH
+            Qt5Networks_QCH
+        INCLUDE_DIRS
+            ${CMAKE_CURRENT_BINARY_DIR}
+        BLANK_MACROS
+            GRAVATAR_EXPORT
+        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        COMPONENT Devel
+    )
+endif()
