=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,12 @@
+# SPDX-FileCopyrightText: none
+# SPDX-License-Identifier: BSD-3-Clause
 macro(add_gravatar_unittest _source)
-    ecm_add_test(${_source}
-        NAME_PREFIX "gravatar-"
-        LINK_LIBRARIES KF5::PimCommon Qt::Test KF5::Gravatar KF5::TextWidgets 
-    )
+    set( _test ${_source})
+    get_filename_component( _name ${_source} NAME_WE )
+    add_executable( ${_name} ${_test} ${_name}.h)
+    add_test(NAME ${_name} COMMAND ${_name} )
+    ecm_mark_as_test(${_name})
+    target_link_libraries( ${_name} KF5::PimCommon Qt::Test KF5::Gravatar KF5::TextWidgets)
 endmacro ()
 
 add_gravatar_unittest( gravatarcachetest.cpp )
